// This file is part of FreeFinesse, a double-dummy analyzer (c) Ed Colley, 2006
// It is made available under the GPL; see the file COPYING for details

//
//  This is the precompiled header file used by Microsoft Visual C++
//  In all other source files, anything preceding the line 
//		#include "stdafx.h"
//  will be discarded, and the results of compiling stdafx.cpp (which
//  simply includes this file) will be used instead.
//
//  Including everything here speeds up compilation using MS Visual C++;
//  the various parts of the program are not as tightly-coupled as this
//  would appear to imply.
//

#include <algorithm>
#include <map>
#include <memory>
#include <sstream>
#include <string>
#include <vector>
#include <iostream>

#include "types.h"
#include "state.h"
#include "cache.h"
#include "deal_controller.h"
#include "analyzer.h"

